Subject: Re: procmail locking problem warning (was Re: procmail on cygwin)
From: Jason Tishler <[email-masked]>
To: Cygwin <[email-masked]>
Cc: [email-masked]
Date: Mon, 25 Mar 2002 11:28:25 -0500

Greg,

On Sun, Mar 24, 2002 at 05:50:32AM +0800, Greg Matheson wrote:
> On Fri, 22 Mar 2002, Jason Tishler wrote:
> > Occasionally, I would get errors such as the following in my procmail.log
> > file:
> 
> >     procmail: Error while writing to "/var/spool/mail/jt"
> >     procmail: Truncated file to former size
> 
> Mmh. I see one such error in my procmail log.

I guess that you are lucky then or your MUA only uses dotlocking (i.e.,
does not use fcntl).  What MUA are you using?  My MUA is mutt 1.3.24i
and it uses both fcntl() and dotlocking.

> > I have temporarily "fixed" the problem by commented out the "#define
> > NOfcntl_lock" in autoconf.h while I wade through the obfuscated procmail
> > coding style.
> 
> An alternative would be not to look at your mail while
> downloading it. 

IMO, the above is unacceptable -- it defeats the whole purpose of
running fetchmail as a daemon.

> Is there any reason for not crossposting your message to a
> procmail list, eg [email-masked] or
> [email-masked]?

Just laziness.

> The number of people on both
> procmail and cygwin lists must be very small, but the procmail
> developers (ie Philip Guenther) should be made aware of the
> autoconf problem.

Agreed, but I give no ETA.  Although, note that this is important to
me so it will probably happen sooner rather than later.  Nevertheless,
you are welcome to beat me to it.  If so, then please CC me so I won't
duplicate the effort.

Thanks,
Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/